-- =============================================
-- SaveToDB Framework for SQL Server
-- Version 3.0, June 10, 2013
--
-- Copyright 2011-2013 Gartle Technology Corporation
-- =============================================

-- The query drops the SaveToDB Framework for SQL Server objects.

-- Bonus objects

-- DROP PROCEDURE [etl01].[uspUpdateEventHandlers]
-- GO
-- DROP VIEW [etl01].[viewEventHandlersSuggest]
-- GO

-- Framework objects

DROP PROCEDURE [etl01].[uspGenerateChangeHandler]
GO
DROP PROCEDURE [etl01].[uspGenerateEditProcedures]
GO
DROP PROCEDURE [etl01].[uspGenerateGenegicHandler]
GO
DROP PROCEDURE [etl01].[uspUpdateColumnTranslation]
GO
DROP PROCEDURE [etl01].[uspUpdateColumnTranslation_Group]
GO
DROP PROCEDURE [etl01].[uspUpdateObjectTranslation]
GO
DROP PROCEDURE [etl01].[uspUpdateObjectTranslationAbsent]
GO
DROP PROCEDURE [dbo01].[uspUpdateTableFormat]
GO

DROP VIEW [etl01].[viewObjectTranslationSuggest]
GO

DROP VIEW [xls01].[viewEventHandlers]
GO
DROP VIEW [xls01].[viewTableFormats]
GO
DROP VIEW [xls01].[viewParameterValues]
GO
DROP VIEW [xls01].[viewQueryList]
GO
DROP VIEW [xls01].[viewColumnTranslation]
GO
DROP VIEW [xls01].[viewObjectTranslation]
GO
DROP VIEW [xls01].[viewObjectDescription]
GO
DROP VIEW [dbo01].[viewQueryList]
GO

DROP TABLE [dbo01].[EventHandlers]
GO
DROP TABLE [dbo01].[TableFormats]
GO
DROP TABLE [dbo01].[ColumnTranslation]
GO
DROP TABLE [dbo01].[ObjectTranslation]
GO
DROP TABLE [dbo01].[ParameterValues]
GO
DROP TABLE [dbo01].[QueryList]
GO

DROP ROLE [SaveToDB_developers]
GO
DROP ROLE [SaveToDB_users]
GO

DROP SCHEMA [dbo01]
GO
DROP SCHEMA [etl01]
GO
DROP SCHEMA [xls01]
GO

print N'SaveToDB Framework has been dropped';
GO
